function toggleVisibility(listId) {
  fetch('/toggle_visibility/' + listId, {method: 'POST'})
    .then(response => response.json())
    .then(data => {
      const shareHeader = document.getElementById('share-header');
      const shareUrlSpan = document.getElementById('share-url');
      const copyBtn = document.getElementById('copyBtn');
      const toggleBtn = document.getElementById('toggleVisibilityBtn');

      if (data.is_public) {
        shareHeader.textContent = '🔗 Udostępnij link:';
        shareUrlSpan.style.display = 'inline';
        shareUrlSpan.textContent = data.share_url;
        copyBtn.disabled = false;
        toggleBtn.innerHTML = '🙈 Ukryj listę';
      } else {
        shareHeader.textContent = '🙈 Lista jest ukryta przed gośćmi';
        shareUrlSpan.style.display = 'none';
        copyBtn.disabled = true;
        toggleBtn.innerHTML = '👁️ Udostępnij ponownie';
      }
    });
}

function copyLink(link) {
  navigator.clipboard.writeText(link).then(() => {
    alert('Link skopiowany!');
  });
}